CVE-2017-11537

NameCVE-2017-11537
DescriptionWhen ImageMagick 7.0.6-1 processes a crafted file in convert, it can lead to a Floating Point Exception (FPE) in the WritePALMImage() function in coders/palm.c, related to an incorrect bits-per-pixel calculation.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-1081-1, DLA-1785-1, DSA-4019-1
NVD severitymedium
Debian Bugs869712

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
imagemagick (PTS)stretch8:6.9.7.4+dfsg-11+deb9u8fixed
stretch (security)8:6.9.7.4+dfsg-11+deb9u10fixed
buster, buster (security)8:6.9.10.23+dfsg-2.1+deb10u1fixed
bullseye, sid8:6.9.11.24+dfsg-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
imagemagicksourcewheezy8:6.7.7.10-5+deb7u16DLA-1081-1
imagemagicksourcejessie8:6.8.9.9-5+deb8u16DLA-1785-1
imagemagicksourcestretch8:6.9.7.4+dfsg-11+deb9u2DSA-4019-1
imagemagicksource(unstable)8:6.9.7.4+dfsg-13low869712

Notes

https://github.com/ImageMagick/ImageMagick/issues/560
https://github.com/ImageMagick/ImageMagick/commit/2bbc1b96f0d9371df675fdf7b8fc9bd4a42ae9cd
ImageMagick-6: https://github.com/ImageMagick/ImageMagick/commit/bac384563f557d1ac7413d2eaec00dd59c3cc29b

Search for package or bug name: Reporting problems